import request from "@/axios";


//人员组织架构图
export function selectResourceChart(){
    return request.get('/sship/organization/chart/resource-tree')
}

//人员信息
export function selectPerson(params){
    return request.get('/sship/organization/chart/person',{
        params
    })
}

//机能组织(虚拟组织)
export function selectOrganizationChart(params){
    return request.get('/sship/organization/chart/organization-tree',{
        params
    })
}

//虚拟维度 人员信息
export function selectVirtualPerson(params){
    return request.get('/sship/organization/chart/virtual-person',{
        params
    })
}

//维度
export function selectVirtualTop(){
    return request.get('/sship/organization/chart/virtual-top')
}

//根节点
export function selectRootTop(params){
    return request.get('/sship/organization/chart/virtual-top-two',{
        params
    })
}

//层级
export function selectLevelTop(params){
    return request.get('/sship/organization/chart/virtual-top-three',{
        params
    })
}